#ifndef __25LC040_H_
#define __25LC040_H_

//------------commands 
/*The data stored in the memory at the next address can be read	sequentially 
by continuing to provide clock pulses. The internal Address Pointer is 
automatically incremented to the next higher address after each byte of data 
is shifted out.*/
#define READ_BYTE 		0x03  //(Bit 11 is address bit 9 i.e A8)
#define BYTE_WRITE 		0x02  //(Bit 11 is address bit 9 i.e A8)
//#define PAGE_WRITE 		0x02  //(Bit 11 is address bit 9 i.e A8)
#define WRITE_EN 		0x06
#define WRITE_DIS 		0x04
#define READ_STAT_REG 	0x05
#define WRITE_STAT_REG 	0x01

// -------------------- functon prototypes
void Read_Write_Command(unsigned int ad, unsigned short n); // address, RW indicator - 1-read, 0-write
unsigned char Read_25LC040(void);
void Write_25LC040(unsigned char data);
void Write_Enable(unsigned short rt); // rt=1-en, 0-dis
unsigned char Status_Reg(unsigned char sr, unsigned char stat); // 1- read; stat undef, 0-write; defined stat
void Write_String_25LC040(unsigned char *str);



#endif
